function Component()
{
    installer.installationFinished.connect(onInstallationFinished);
}

Component.prototype.createOperationsForArchive = function(archive)
{
    component.addOperation("Extract", archive, "@TargetDir@/");
    //component.addOperation("Move", "@TargetDir@/sudo", "@TargetDir@/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/usr/bin/");
}

Component.prototype.createOperations = function() {
    component.createOperations();
    systemIntegration();

}

function systemIntegration() {
    /*	var targetDir = installer.value("TargetDir");
        component.addOperation("CreateDesktopEntry",
                               "@HomeDir@/.local/share/applications/AcNasTerminal.desktop",
                               "Version=1.9.26\n
                                Type=Application\n
                                Terminal=false\n
                                Exec=bash @TargetDir@/enviroment.sh \"python3 " + targetDir + "/tools/links/bin/terminator\"\n
                                Name=AcNas (Terminator)\n
                                Icon=@TargetDir@/resource/other/terminal-1024.png\n
                                Categories=Qt;Development;Documentation;");*/
}

onInstallationFinished = function()
{
    const ROOT = installer.value("TargetDir");
    const SYSTEMS = ['x86_64-linux-gnu'];
    const QTS = ['5.15.13.0', '5.15.14.2', '6.5.0.0', '6.5.1.0', '6.5.2.1', '6.5.3.2', '6.6.0.4', '6.6.1.1', '6.6.2.0', '6.6.3.0', '6.7.0.10', '6.7.1.5', '6.7.2.0'];
    const QTCREATORS = ['11.0.0.12', '11.0.1.0', '11.0.2.3', '11.0.3.4', '12.0.0.0', '12.0.1.2', '12.0.2.2', '13.0.0.11', '13.0.1.0', '13.0.2.2', '14.0.0.0'];

    for (const SYSTEM of SYSTEMS) {
        for (const QT of QTS) {
            for (const QTCREATOR of QTCREATORS) {
                //console.log(`SYSTEM: ${SYSTEM} QT: ${QT} QTCREATOR: ${QTCREATOR}`);

                    const SDKTOOL = `${ROOT}/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/tools/qtcreator/${QTCREATOR}/usr/libexec/qtcreator/sdktool`;
                    //console.log(`${ROOT}/enviroment.sh "${SDKTOOL} addTC --id ProjectExplorer.ToolChain.Gcc:GCC --name GCC (C, x86_64) --path ${ROOT}/tools/x86_64-linux-gnu/bin/gcc --abi x86-linux-generic-elf-64bit --supportedAbis x86-linux-generic-elf-64bit,x86-linux-generic-elf-32bit --language 1"`)
                    installer.execute(`/bin/bash`,
                                      [
                                          `-c`,
                                          `${ROOT}/enviroment.sh "${SDKTOOL} addTC --id ProjectExplorer.ToolChain.Gcc:GCC --name GCC_C_x86_64 --path ${ROOT}/tools/x86_64-linux-gnu/bin/gcc --abi x86-linux-generic-elf-64bit --supportedAbis x86-linux-generic-elf-64bit,x86-linux-generic-elf-32bit --language 1"`
                                      ]);

                    installer.execute(`/bin/bash`,
                                      [
                                          `-c`,
                                          `${ROOT}/enviroment.sh "${SDKTOOL} addTC --id ProjectExplorer.ToolChain.Gcc:G++ --name GCC_C++_x86_64 --path ${ROOT}/tools/x86_64-linux-gnu/bin/g++ --abi x86-linux-generic-elf-64bit --supportedAbis x86-linux-generic-elf-64bit,x86-linux-generic-elf-32bit --language 2"`
                                      ]);

                    installer.execute(`/bin/bash`,
                                      [
                                          `-c`,
                                          `${ROOT}/enviroment.sh "${SDKTOOL} addDebugger --id GDB --name GDB --engine 1 --binary ${ROOT}/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/usr/bin/gdb --abis x86-linux-generic-elf-64bit,x86-linux-generic-elf-32bit"`
                                      ]);

                    installer.execute(`/bin/bash`,
                                      [
                                          `-c`,
                                           `${ROOT}/enviroment.sh "${SDKTOOL} addCMake --id CMake --name CMake --path ${ROOT}/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/usr/bin/cmake"`
                                      ]);
                    
                                    if(installer.fileExists(`${ROOT}/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/qt/${QT}/usr/bin/qmake`)) {

                    installer.execute(`/bin/bash`,
                                      [
                                          `-c`,
                                          `${ROOT}/enviroment.sh "${SDKTOOL} addQt --id Qt-${QT} --name Qt-${QT} --qmake ${ROOT}/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/qt/${QT}/usr/bin/qmake --type Qt4ProjectManager.QtVersion.Desktop"`
                                      ]);

                    installer.execute(`/bin/bash`,
                                      [
                                          `-c`,
                                          `${ROOT}/enviroment.sh "${SDKTOOL} addKit --id Qt-${QT} --name Qt-${QT} --debuggerid GDB --devicetype Desktop --Ctoolchain ProjectExplorer.ToolChain.Gcc:GCC --Cxxtoolchain ProjectExplorer.ToolChain.Gcc:G++ --qt Qt-${QT} --cmake CMake --cmake-generator Ninja"`
                                      ]);
                                    } else {

                                        installer.execute(`/bin/bash`,
                                        [
                                            `-c`,
                                            `${ROOT}/enviroment.sh "${SDKTOOL} rmQt --id Qt-${QT}"`
                                        ]);
  
                                        installer.execute(`/bin/bash`,
                                        [
                                            `-c`,
                                            `${ROOT}/enviroment.sh "${SDKTOOL} rmKit --id Qt-${QT}"`
                                        ]);
                                    }

                }
        }
    }
}
